Bug Hunting Session
Bug 56372 - FORMATTING: A simple Word 2007 document line-wraps at different words compared to Writer
Summary: FORMATTING: A simple Word 2007 document line-wraps at different words compare...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.0.2 rc
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: filter:doc
Depends on:
Blocks: DOC-Paragraph
  Show dependency treegraph
 
Reported: 2012-10-24 23:50 UTC by Phil Hall
Modified: 2019-05-14 02:53 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Test Word 2007 document that displays the behavior in the report (33.50 KB, application/msword)
2012-10-25 22:08 UTC, Phil Hall
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Phil Hall 2012-10-24 23:50:58 UTC
Problem description:  A Microsoft Word 2007 document with headers is not opening the same in LibreOffice Writer as it does in Word 2007.

Steps to reproduce:
1. .... Open document in Word, compare formatting
2. .... Open document in LibreOffice Writer, compare formatting
3. .... Note differences

Current behavior: The document displays a different number of lines per page dependent upon which progam is used to open it.

Expected behavior: Identical behaviour.

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (X11; Ubuntu; Linux i686; rv:19.0) Gecko/19.0 Firefox/19.0
Comment 1 Roman Eisele 2012-10-25 13:06:44 UTC
Thank you very much for your bug report!

However, please consider: what should we do with such a report? ;-) I am sorry to say so, but we can not do anything about this problem -- the description is just too vague, we can not even guess what is wrong here.

What would really help is if you could please attach the original Microsoft Word 2007 document which shows the problems to this bug report (just come back to
this page
   https://bugs.freedesktop.org/show_bug.cgi?id=56372
and click on “Add an attachment”).

It would be even more helpful if you could also attach some screenshots, one showing the document in MS Word 2007, another one showing it in LibreOffice.

So we can *see* what the problem is, and using your MS Word 2007 document, we can try to find out the *reasons* of this behaviour.

If you can not attach the original MS Word document, because it is confidential, you can try to “anonymize” it by making a copy of it, opening the copy in MS Word, and then replacing the text by some nonsense (e.g., just a series of xxxx xxx xxxxxxx xx, xxxxx xx xxx). If you can still observe the problem when you open this anonymized copy in LibreOffice, it will be sufficient for us, so please attach the copy. You can also take the screenshots of this copy, if necessary.
Comment 2 Phil Hall 2012-10-25 22:08:39 UTC
Created attachment 69095 [details]
Test Word 2007 document that displays the behavior in the report

Page 1 should have 12 lines of actual text. This is what is displayed in Word 2007.
Page 2 should have 23 lines of actual text. This is what is displayed in Word 2007.

Page 1 displays 11 lines of actual text in LibreOffice. This is NOT the same as Word 2007. Page 2 in LibreOffice shows 24 lines of actual text. This is NOT the same as Word 2007.
Comment 3 Roman Eisele 2012-10-26 05:55:30 UTC
Comment on attachment 69095 [details]
Test Word 2007 document that displays the behavior in the report



Thank you very much for the sample document and the description!
I will look into this issue as soon as I find some free time ...
Comment 4 bfoman (inactive) 2013-03-04 12:12:32 UTC
(In reply to comment #2)
> Page 1 displays 11 lines of actual text in LibreOffice. This is NOT the same
> as Word 2007. Page 2 in LibreOffice shows 24 lines of actual text. This is
> NOT the same as Word 2007.

Confirmed with:
LO 4.0.0.3
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

Also row height of 1st row in the table is too small - text is bottom-cut. Not the same as in Word 2010.
Comment 5 QA Administrators 2015-02-19 15:48:07 UTC Comment hidden (obsolete)
Comment 6 Buovjaga 2015-03-16 18:58:51 UTC
(In reply to Phil Hall from comment #2)
> Created attachment 69095 [details]
> Test Word 2007 document that displays the behavior in the report
> 
> Page 1 should have 12 lines of actual text. This is what is displayed in
> Word 2007.
> Page 2 should have 23 lines of actual text. This is what is displayed in
> Word 2007.
> 
> Page 1 displays 11 lines of actual text in LibreOffice. This is NOT the same
> as Word 2007. Page 2 in LibreOffice shows 24 lines of actual text. This is
> NOT the same as Word 2007.

The current situation is that only the difference on page 2 is observed.

Win 8 32-bit
MSO 2013
LibreOffice Version: 4.5.0.0.alpha0+
Build ID: 460b17d2712a80331a83329d2951f3e0303835cd
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-03-14_23:10:42
Locale: fi_FI
Comment 7 tommy27 2016-04-16 07:27:21 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.5 or 5.1.2 https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

- Update the version field
- Reply via email (please reply directly on the bug tracker)
- Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 

3. Leave a comment with your results. 

4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2016-04-16
Comment 8 QA Administrators 2019-05-14 02:53:51 UTC
Dear Phil Hall,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug